<template lang="pug">
DBCollapsible.x-comments-list(title='Comments' :expand='expand'
                              source='comments' :parentItem='run' parentType='runs'
                              :query='{ sort: "date:desc" }')
  template(v-slot:default='db')
    .col-12.px-0
      table.table.table-sm.table-hover.borderless
        tbody
          tr(:key='m.id' v-for='m in db.rows')
            td.text-center.d-md-table-cell.d-none
              UserLink(:user='getUser(m.userId)' :id='m.userId')
            td.text-center.text-nowrap.d-xl-table-cell.d-none {{ m.date | dateTime }}
            td.text-center.text-nowrap.d-xl-none {{ m.date | dateTime("yyyy-LL-dd") }}
            td.w-100
              .d-flex
                BaseMarkdownViewer(v-model='m.comments' :options='{ html: true, linkify: true, typographer: true }')
                BaseAnimationBlock
                  div.ml-auto(v-if='inEdit && (isAdmin || (isCurrentUser(m.userId)))')
                    button.btn.btn-primary.btn-sm(@click='doEdit(m)' title='edit')
                      i.fa.fa-pen
    .col-12.d-flex.justify-content-end.mt-1.x-add-form(v-if='inEdit')
      button.btn.btn-primary.btn-sm.x-add(@click='doAdd' title='Add Comment')
        i.fa.fa-plus-square
    EditCommentDialog(ref='editDialog')
    AddCommentDialog(ref='addDialog')
</template>
<script>

export { default } from './CommentsList.vue.js';

</script>
<style lang='scss'>
table.borderless {
  td, th {
    border-top-style: none;
    border-left-style: none;
    border-right-style: none;
    border-bottom-style: none;
  }
}
</style>
